Makefile.in 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. subdir = .
  85. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  86. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  90. $(am__configure_deps) $(dist_doc_DATA) $(am__DIST_COMMON)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_HEADER = config.h
  95. CONFIG_CLEAN_FILES =
  96. CONFIG_CLEAN_VPATH_FILES =
  97. AM_V_P = $(am__v_P_@AM_V@)
  98. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  99. am__v_P_0 = false
  100. am__v_P_1 = :
  101. AM_V_GEN = $(am__v_GEN_@AM_V@)
  102. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  103. am__v_GEN_0 = @echo " GEN " $@;
  104. am__v_GEN_1 =
  105. AM_V_at = $(am__v_at_@AM_V@)
  106. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  107. am__v_at_0 = @
  108. am__v_at_1 =
  109. SOURCES =
  110. DIST_SOURCES =
  111. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  112. ctags-recursive dvi-recursive html-recursive info-recursive \
  113. install-data-recursive install-dvi-recursive \
  114. install-exec-recursive install-html-recursive \
  115. install-info-recursive install-pdf-recursive \
  116. install-ps-recursive install-recursive installcheck-recursive \
  117. installdirs-recursive pdf-recursive ps-recursive \
  118. tags-recursive uninstall-recursive
  119. am__can_run_installinfo = \
  120. case $$AM_UPDATE_INFO_DIR in \
  121. n|no|NO) false;; \
  122. *) (install-info --version) >/dev/null 2>&1;; \
  123. esac
  124. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  125. am__vpath_adj = case $$p in \
  126. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  127. *) f=$$p;; \
  128. esac;
  129. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  130. am__install_max = 40
  131. am__nobase_strip_setup = \
  132. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  133. am__nobase_strip = \
  134. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  135. am__nobase_list = $(am__nobase_strip_setup); \
  136. for p in $$list; do echo "$$p $$p"; done | \
  137. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  138. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  139. if (++n[$$2] == $(am__install_max)) \
  140. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  141. END { for (dir in files) print dir, files[dir] }'
  142. am__base_list = \
  143. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  144. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  145. am__uninstall_files_from_dir = { \
  146. test -z "$$files" \
  147. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  148. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  149. $(am__cd) "$$dir" && rm -f $$files; }; \
  150. }
  151. am__installdirs = "$(DESTDIR)$(docdir)"
  152. DATA = $(dist_doc_DATA)
  153. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  154. distclean-recursive maintainer-clean-recursive
  155. am__recursive_targets = \
  156. $(RECURSIVE_TARGETS) \
  157. $(RECURSIVE_CLEAN_TARGETS) \
  158. $(am__extra_recursive_targets)
  159. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  160. cscope distdir distdir-am dist dist-all distcheck
  161. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
  162. config.h.in
  163. # Read a list of newline-separated strings from the standard input,
  164. # and print each of them once, without duplicates. Input order is
  165. # *not* preserved.
  166. am__uniquify_input = $(AWK) '\
  167. BEGIN { nonempty = 0; } \
  168. { items[$$0] = 1; nonempty = 1; } \
  169. END { if (nonempty) { for (i in items) print i; }; } \
  170. '
  171. # Make sure the list of sources is unique. This is necessary because,
  172. # e.g., the same source file might be shared among _SOURCES variables
  173. # for different programs/libraries.
  174. am__define_uniq_tagged_files = \
  175. list='$(am__tagged_files)'; \
  176. unique=`for i in $$list; do \
  177. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  178. done | $(am__uniquify_input)`
  179. ETAGS = etags
  180. CTAGS = ctags
  181. CSCOPE = cscope
  182. DIST_SUBDIRS = $(SUBDIRS)
  183. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in README \
  184. compile depcomp install-sh missing
  185. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  186. distdir = $(PACKAGE)-$(VERSION)
  187. top_distdir = $(distdir)
  188. am__remove_distdir = \
  189. if test -d "$(distdir)"; then \
  190. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  191. && rm -rf "$(distdir)" \
  192. || { sleep 5 && rm -rf "$(distdir)"; }; \
  193. else :; fi
  194. am__post_remove_distdir = $(am__remove_distdir)
  195. am__relativize = \
  196. dir0=`pwd`; \
  197. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  198. sed_rest='s,^[^/]*/*,,'; \
  199. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  200. sed_butlast='s,/*[^/]*$$,,'; \
  201. while test -n "$$dir1"; do \
  202. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  203. if test "$$first" != "."; then \
  204. if test "$$first" = ".."; then \
  205. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  206. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  207. else \
  208. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  209. if test "$$first2" = "$$first"; then \
  210. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  211. else \
  212. dir2="../$$dir2"; \
  213. fi; \
  214. dir0="$$dir0"/"$$first"; \
  215. fi; \
  216. fi; \
  217. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  218. done; \
  219. reldir="$$dir2"
  220. DIST_ARCHIVES = $(distdir).tar.gz
  221. GZIP_ENV = --best
  222. DIST_TARGETS = dist-gzip
  223. # Exists only to be overridden by the user if desired.
  224. AM_DISTCHECK_DVI_TARGET = dvi
  225. distuninstallcheck_listfiles = find . -type f -print
  226. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  227. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  228. distcleancheck_listfiles = find . -type f -print
  229. ACLOCAL = @ACLOCAL@
  230. AMTAR = @AMTAR@
  231. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  232. AUTOCONF = @AUTOCONF@
  233. AUTOHEADER = @AUTOHEADER@
  234. AUTOMAKE = @AUTOMAKE@
  235. AWK = @AWK@
  236. CC = @CC@
  237. CCDEPMODE = @CCDEPMODE@
  238. CFLAGS = @CFLAGS@
  239. CPP = @CPP@
  240. CPPFLAGS = @CPPFLAGS@
  241. CYGPATH_W = @CYGPATH_W@
  242. DEFS = @DEFS@
  243. DEPDIR = @DEPDIR@
  244. ECHO_C = @ECHO_C@
  245. ECHO_N = @ECHO_N@
  246. ECHO_T = @ECHO_T@
  247. EGREP = @EGREP@
  248. EXEEXT = @EXEEXT@
  249. GREP = @GREP@
  250. INSTALL = @INSTALL@
  251. INSTALL_DATA = @INSTALL_DATA@
  252. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  253. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  254. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  255. LDFLAGS = @LDFLAGS@
  256. LIBOBJS = @LIBOBJS@
  257. LIBS = @LIBS@
  258. LTLIBOBJS = @LTLIBOBJS@
  259. MAKEINFO = @MAKEINFO@
  260. MKDIR_P = @MKDIR_P@
  261. OBJEXT = @OBJEXT@
  262. PACKAGE = @PACKAGE@
  263. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  264. PACKAGE_NAME = @PACKAGE_NAME@
  265. PACKAGE_STRING = @PACKAGE_STRING@
  266. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  267. PACKAGE_URL = @PACKAGE_URL@
  268. PACKAGE_VERSION = @PACKAGE_VERSION@
  269. PATH_SEPARATOR = @PATH_SEPARATOR@
  270. SET_MAKE = @SET_MAKE@
  271. SHELL = @SHELL@
  272. STRIP = @STRIP@
  273. VERSION = @VERSION@
  274. abs_builddir = @abs_builddir@
  275. abs_srcdir = @abs_srcdir@
  276. abs_top_builddir = @abs_top_builddir@
  277. abs_top_srcdir = @abs_top_srcdir@
  278. ac_ct_CC = @ac_ct_CC@
  279. am__include = @am__include@
  280. am__leading_dot = @am__leading_dot@
  281. am__quote = @am__quote@
  282. am__tar = @am__tar@
  283. am__untar = @am__untar@
  284. bindir = @bindir@
  285. build_alias = @build_alias@
  286. builddir = @builddir@
  287. datadir = @datadir@
  288. datarootdir = @datarootdir@
  289. docdir = @docdir@
  290. dvidir = @dvidir@
  291. exec_prefix = @exec_prefix@
  292. host_alias = @host_alias@
  293. htmldir = @htmldir@
  294. includedir = @includedir@
  295. infodir = @infodir@
  296. install_sh = @install_sh@
  297. libdir = @libdir@
  298. libexecdir = @libexecdir@
  299. localedir = @localedir@
  300. localstatedir = @localstatedir@
  301. mandir = @mandir@
  302. mkdir_p = @mkdir_p@
  303. oldincludedir = @oldincludedir@
  304. pdfdir = @pdfdir@
  305. prefix = @prefix@
  306. program_transform_name = @program_transform_name@
  307. psdir = @psdir@
  308. runstatedir = @runstatedir@
  309. sbindir = @sbindir@
  310. sharedstatedir = @sharedstatedir@
  311. srcdir = @srcdir@
  312. sysconfdir = @sysconfdir@
  313. target_alias = @target_alias@
  314. top_build_prefix = @top_build_prefix@
  315. top_builddir = @top_builddir@
  316. top_srcdir = @top_srcdir@
  317. SUBDIRS = src
  318. dist_doc_DATA = README
  319. all: config.h
  320. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  321. .SUFFIXES:
  322. am--refresh: Makefile
  323. @:
  324. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  325. @for dep in $?; do \
  326. case '$(am__configure_deps)' in \
  327. *$$dep*) \
  328. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  329. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  330. && exit 0; \
  331. exit 1;; \
  332. esac; \
  333. done; \
  334. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  335. $(am__cd) $(top_srcdir) && \
  336. $(AUTOMAKE) --foreign Makefile
  337. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  338. @case '$?' in \
  339. *config.status*) \
  340. echo ' $(SHELL) ./config.status'; \
  341. $(SHELL) ./config.status;; \
  342. *) \
  343. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  344. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  345. esac;
  346. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  347. $(SHELL) ./config.status --recheck
  348. $(top_srcdir)/configure: $(am__configure_deps)
  349. $(am__cd) $(srcdir) && $(AUTOCONF)
  350. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  351. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  352. $(am__aclocal_m4_deps):
  353. config.h: stamp-h1
  354. @test -f $@ || rm -f stamp-h1
  355. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  356. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  357. @rm -f stamp-h1
  358. cd $(top_builddir) && $(SHELL) ./config.status config.h
  359. $(srcdir)/config.h.in: $(am__configure_deps)
  360. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  361. rm -f stamp-h1
  362. touch $@
  363. distclean-hdr:
  364. -rm -f config.h stamp-h1
  365. install-dist_docDATA: $(dist_doc_DATA)
  366. @$(NORMAL_INSTALL)
  367. @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  368. if test -n "$$list"; then \
  369. echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
  370. $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
  371. fi; \
  372. for p in $$list; do \
  373. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  374. echo "$$d$$p"; \
  375. done | $(am__base_list) | \
  376. while read files; do \
  377. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
  378. $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
  379. done
  380. uninstall-dist_docDATA:
  381. @$(NORMAL_UNINSTALL)
  382. @list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  383. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  384. dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
  385. # This directory's subdirectories are mostly independent; you can cd
  386. # into them and run 'make' without going through this Makefile.
  387. # To change the values of 'make' variables: instead of editing Makefiles,
  388. # (1) if the variable is set in 'config.status', edit 'config.status'
  389. # (which will cause the Makefiles to be regenerated when you run 'make');
  390. # (2) otherwise, pass the desired values on the 'make' command line.
  391. $(am__recursive_targets):
  392. @fail=; \
  393. if $(am__make_keepgoing); then \
  394. failcom='fail=yes'; \
  395. else \
  396. failcom='exit 1'; \
  397. fi; \
  398. dot_seen=no; \
  399. target=`echo $@ | sed s/-recursive//`; \
  400. case "$@" in \
  401. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  402. *) list='$(SUBDIRS)' ;; \
  403. esac; \
  404. for subdir in $$list; do \
  405. echo "Making $$target in $$subdir"; \
  406. if test "$$subdir" = "."; then \
  407. dot_seen=yes; \
  408. local_target="$$target-am"; \
  409. else \
  410. local_target="$$target"; \
  411. fi; \
  412. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  413. || eval $$failcom; \
  414. done; \
  415. if test "$$dot_seen" = "no"; then \
  416. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  417. fi; test -z "$$fail"
  418. ID: $(am__tagged_files)
  419. $(am__define_uniq_tagged_files); mkid -fID $$unique
  420. tags: tags-recursive
  421. TAGS: tags
  422. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  423. set x; \
  424. here=`pwd`; \
  425. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  426. include_option=--etags-include; \
  427. empty_fix=.; \
  428. else \
  429. include_option=--include; \
  430. empty_fix=; \
  431. fi; \
  432. list='$(SUBDIRS)'; for subdir in $$list; do \
  433. if test "$$subdir" = .; then :; else \
  434. test ! -f $$subdir/TAGS || \
  435. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  436. fi; \
  437. done; \
  438. $(am__define_uniq_tagged_files); \
  439. shift; \
  440. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  441. test -n "$$unique" || unique=$$empty_fix; \
  442. if test $$# -gt 0; then \
  443. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  444. "$$@" $$unique; \
  445. else \
  446. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  447. $$unique; \
  448. fi; \
  449. fi
  450. ctags: ctags-recursive
  451. CTAGS: ctags
  452. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  453. $(am__define_uniq_tagged_files); \
  454. test -z "$(CTAGS_ARGS)$$unique" \
  455. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  456. $$unique
  457. GTAGS:
  458. here=`$(am__cd) $(top_builddir) && pwd` \
  459. && $(am__cd) $(top_srcdir) \
  460. && gtags -i $(GTAGS_ARGS) "$$here"
  461. cscope: cscope.files
  462. test ! -s cscope.files \
  463. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  464. clean-cscope:
  465. -rm -f cscope.files
  466. cscope.files: clean-cscope cscopelist
  467. cscopelist: cscopelist-recursive
  468. cscopelist-am: $(am__tagged_files)
  469. list='$(am__tagged_files)'; \
  470. case "$(srcdir)" in \
  471. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  472. *) sdir=$(subdir)/$(srcdir) ;; \
  473. esac; \
  474. for i in $$list; do \
  475. if test -f "$$i"; then \
  476. echo "$(subdir)/$$i"; \
  477. else \
  478. echo "$$sdir/$$i"; \
  479. fi; \
  480. done >> $(top_builddir)/cscope.files
  481. distclean-tags:
  482. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  483. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  484. distdir: $(BUILT_SOURCES)
  485. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  486. distdir-am: $(DISTFILES)
  487. $(am__remove_distdir)
  488. test -d "$(distdir)" || mkdir "$(distdir)"
  489. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  490. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  491. list='$(DISTFILES)'; \
  492. dist_files=`for file in $$list; do echo $$file; done | \
  493. sed -e "s|^$$srcdirstrip/||;t" \
  494. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  495. case $$dist_files in \
  496. */*) $(MKDIR_P) `echo "$$dist_files" | \
  497. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  498. sort -u` ;; \
  499. esac; \
  500. for file in $$dist_files; do \
  501. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  502. if test -d $$d/$$file; then \
  503. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  504. if test -d "$(distdir)/$$file"; then \
  505. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  506. fi; \
  507. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  508. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  509. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  510. fi; \
  511. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  512. else \
  513. test -f "$(distdir)/$$file" \
  514. || cp -p $$d/$$file "$(distdir)/$$file" \
  515. || exit 1; \
  516. fi; \
  517. done
  518. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  519. if test "$$subdir" = .; then :; else \
  520. $(am__make_dryrun) \
  521. || test -d "$(distdir)/$$subdir" \
  522. || $(MKDIR_P) "$(distdir)/$$subdir" \
  523. || exit 1; \
  524. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  525. $(am__relativize); \
  526. new_distdir=$$reldir; \
  527. dir1=$$subdir; dir2="$(top_distdir)"; \
  528. $(am__relativize); \
  529. new_top_distdir=$$reldir; \
  530. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  531. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  532. ($(am__cd) $$subdir && \
  533. $(MAKE) $(AM_MAKEFLAGS) \
  534. top_distdir="$$new_top_distdir" \
  535. distdir="$$new_distdir" \
  536. am__remove_distdir=: \
  537. am__skip_length_check=: \
  538. am__skip_mode_fix=: \
  539. distdir) \
  540. || exit 1; \
  541. fi; \
  542. done
  543. -test -n "$(am__skip_mode_fix)" \
  544. || find "$(distdir)" -type d ! -perm -755 \
  545. -exec chmod u+rwx,go+rx {} \; -o \
  546. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  547. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  548. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  549. || chmod -R a+r "$(distdir)"
  550. dist-gzip: distdir
  551. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  552. $(am__post_remove_distdir)
  553. dist-bzip2: distdir
  554. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  555. $(am__post_remove_distdir)
  556. dist-lzip: distdir
  557. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  558. $(am__post_remove_distdir)
  559. dist-xz: distdir
  560. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  561. $(am__post_remove_distdir)
  562. dist-zstd: distdir
  563. tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
  564. $(am__post_remove_distdir)
  565. dist-tarZ: distdir
  566. @echo WARNING: "Support for distribution archives compressed with" \
  567. "legacy program 'compress' is deprecated." >&2
  568. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  569. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  570. $(am__post_remove_distdir)
  571. dist-shar: distdir
  572. @echo WARNING: "Support for shar distribution archives is" \
  573. "deprecated." >&2
  574. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  575. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  576. $(am__post_remove_distdir)
  577. dist-zip: distdir
  578. -rm -f $(distdir).zip
  579. zip -rq $(distdir).zip $(distdir)
  580. $(am__post_remove_distdir)
  581. dist dist-all:
  582. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  583. $(am__post_remove_distdir)
  584. # This target untars the dist file and tries a VPATH configuration. Then
  585. # it guarantees that the distribution is self-contained by making another
  586. # tarfile.
  587. distcheck: dist
  588. case '$(DIST_ARCHIVES)' in \
  589. *.tar.gz*) \
  590. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  591. *.tar.bz2*) \
  592. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  593. *.tar.lz*) \
  594. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  595. *.tar.xz*) \
  596. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  597. *.tar.Z*) \
  598. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  599. *.shar.gz*) \
  600. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  601. *.zip*) \
  602. unzip $(distdir).zip ;;\
  603. *.tar.zst*) \
  604. zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
  605. esac
  606. chmod -R a-w $(distdir)
  607. chmod u+w $(distdir)
  608. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  609. chmod a-w $(distdir)
  610. test -d $(distdir)/_build || exit 0; \
  611. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  612. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  613. && am__cwd=`pwd` \
  614. && $(am__cd) $(distdir)/_build/sub \
  615. && ../../configure \
  616. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  617. $(DISTCHECK_CONFIGURE_FLAGS) \
  618. --srcdir=../.. --prefix="$$dc_install_base" \
  619. && $(MAKE) $(AM_MAKEFLAGS) \
  620. && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
  621. && $(MAKE) $(AM_MAKEFLAGS) check \
  622. && $(MAKE) $(AM_MAKEFLAGS) install \
  623. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  624. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  625. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  626. distuninstallcheck \
  627. && chmod -R a-w "$$dc_install_base" \
  628. && ({ \
  629. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  630. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  631. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  632. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  633. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  634. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  635. && rm -rf "$$dc_destdir" \
  636. && $(MAKE) $(AM_MAKEFLAGS) dist \
  637. && rm -rf $(DIST_ARCHIVES) \
  638. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  639. && cd "$$am__cwd" \
  640. || exit 1
  641. $(am__post_remove_distdir)
  642. @(echo "$(distdir) archives ready for distribution: "; \
  643. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  644. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  645. distuninstallcheck:
  646. @test -n '$(distuninstallcheck_dir)' || { \
  647. echo 'ERROR: trying to run $@ with an empty' \
  648. '$$(distuninstallcheck_dir)' >&2; \
  649. exit 1; \
  650. }; \
  651. $(am__cd) '$(distuninstallcheck_dir)' || { \
  652. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  653. exit 1; \
  654. }; \
  655. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  656. || { echo "ERROR: files left after uninstall:" ; \
  657. if test -n "$(DESTDIR)"; then \
  658. echo " (check DESTDIR support)"; \
  659. fi ; \
  660. $(distuninstallcheck_listfiles) ; \
  661. exit 1; } >&2
  662. distcleancheck: distclean
  663. @if test '$(srcdir)' = . ; then \
  664. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  665. exit 1 ; \
  666. fi
  667. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  668. || { echo "ERROR: files left in build directory after distclean:" ; \
  669. $(distcleancheck_listfiles) ; \
  670. exit 1; } >&2
  671. check-am: all-am
  672. check: check-recursive
  673. all-am: Makefile $(DATA) config.h
  674. installdirs: installdirs-recursive
  675. installdirs-am:
  676. for dir in "$(DESTDIR)$(docdir)"; do \
  677. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  678. done
  679. install: install-recursive
  680. install-exec: install-exec-recursive
  681. install-data: install-data-recursive
  682. uninstall: uninstall-recursive
  683. install-am: all-am
  684. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  685. installcheck: installcheck-recursive
  686. install-strip:
  687. if test -z '$(STRIP)'; then \
  688. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  689. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  690. install; \
  691. else \
  692. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  693. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  694. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  695. fi
  696. mostlyclean-generic:
  697. clean-generic:
  698. distclean-generic:
  699. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  700. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  701. maintainer-clean-generic:
  702. @echo "This command is intended for maintainers to use"
  703. @echo "it deletes files that may require special tools to rebuild."
  704. clean: clean-recursive
  705. clean-am: clean-generic mostlyclean-am
  706. distclean: distclean-recursive
  707. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  708. -rm -f Makefile
  709. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  710. dvi: dvi-recursive
  711. dvi-am:
  712. html: html-recursive
  713. html-am:
  714. info: info-recursive
  715. info-am:
  716. install-data-am: install-dist_docDATA
  717. install-dvi: install-dvi-recursive
  718. install-dvi-am:
  719. install-exec-am:
  720. install-html: install-html-recursive
  721. install-html-am:
  722. install-info: install-info-recursive
  723. install-info-am:
  724. install-man:
  725. install-pdf: install-pdf-recursive
  726. install-pdf-am:
  727. install-ps: install-ps-recursive
  728. install-ps-am:
  729. installcheck-am:
  730. maintainer-clean: maintainer-clean-recursive
  731. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  732. -rm -rf $(top_srcdir)/autom4te.cache
  733. -rm -f Makefile
  734. maintainer-clean-am: distclean-am maintainer-clean-generic
  735. mostlyclean: mostlyclean-recursive
  736. mostlyclean-am: mostlyclean-generic
  737. pdf: pdf-recursive
  738. pdf-am:
  739. ps: ps-recursive
  740. ps-am:
  741. uninstall-am: uninstall-dist_docDATA
  742. .MAKE: $(am__recursive_targets) all install-am install-strip
  743. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  744. am--refresh check check-am clean clean-cscope clean-generic \
  745. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  746. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  747. dist-zstd distcheck distclean distclean-generic distclean-hdr \
  748. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  749. dvi-am html html-am info info-am install install-am \
  750. install-data install-data-am install-dist_docDATA install-dvi \
  751. install-dvi-am install-exec install-exec-am install-html \
  752. install-html-am install-info install-info-am install-man \
  753. install-pdf install-pdf-am install-ps install-ps-am \
  754. install-strip installcheck installcheck-am installdirs \
  755. installdirs-am maintainer-clean maintainer-clean-generic \
  756. mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
  757. tags-am uninstall uninstall-am uninstall-dist_docDATA
  758. .PRECIOUS: Makefile
  759. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  760. # Otherwise a system limit (for SysV at least) may be exceeded.
  761. .NOEXPORT: